<?xml version="1.0"?>
<!-- Hewlett-Packard Co. Printer Driver Configuration Information File 

This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the 
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hpij3000.cfg</config_file>
                    <config_file_version>1.0.0.10</config_file_version>
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
             <current>
                <physical>
                </physical>
                <printing>
                </printing>
                <custom/>
            </current>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <factory>
                <physical resource_id="18">
                    <feature typical="TRUE">
                        Bundles
                        <current_option>HP Business Inkjet 3000</current_option>
                        <option>
                            HP Business Inkjet 3000
                            <!-- No Additional Hardware -->
                            <!-- Force all installed accessories back to default! -->
                            <constraint>Bundle_Memory_Default</constraint>
                            <constraint>Bundle_DuplexUnit_Default</constraint>
                            <constraint> Bundle_Tray_Default</constraint>
                        </option>
                        <option>
                             HP Business Inkjet 3000N
                             <constraint>Bundle_Memory_Default</constraint>
                             <constraint>Bundle_DuplexUnit_Default</constraint>
                             <constraint> Bundle_Tray_Default</constraint>
                        </option>
                        <option>
                             HP Business Inkjet 3000DTN
                             <constraint>Bundle_Memory_Default</constraint>
                            <constraint>Bundle_DuplexUnit_SetInstalled</constraint>
                            <constraint>  Bundle_Tray3_Installed</constraint>
                        </option>
                      </feature>        
                       <!-- JobRetention -->
                    <feature resource_id="997" caption_id="10051">
                        JobRetention
                        <current_option>Disabled </current_option>
                        <option resource_id="6">
                            Enabled
                            <constraint>JobRetention_Enabled_Hardware</constraint>
                        </option>
                        <option resource_id="7">
                            Disabled
                        </option>
                    </feature>
                    <!-- PrinterHardDisk -->
                    <feature resource_id="663" caption_id="10050" typical="TRUE" editable="TRUE">
                        PrinterHardDisk
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>Hardware_Disabled_JobRetention</constraint>
                        </option>
                    </feature>                  
                    <!-- PrinterMemory -->
                    <feature resource_id="787" caption_id="10052" typical="TRUE">
                        Memory
                        <current_option>64</current_option>
                        <option>64</option>
                        <option>96</option>
                        <option>128</option>
                        <option>160</option>
                        <option>192</option>
                        <option>224</option>
                        <option>256</option>
                        <option>288</option>
                        <option>320</option>
                    </feature>
                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="10048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>DuplexUnit_Duplex</constraint>
                        </option>
                    </feature>
                    <!-- OptionalPaperSources -->
                    <feature resource_id="710">
                        OptionalPaperSources
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                            <constraint>tray1_constraint</constraint>
                            <constraint>tray3_constraint</constraint>
                            <constraint>OPS_Tray1_Remove</constraint>
                            <constraint>OPS_Tray3_Remove</constraint>                           
                        </option>
                        <option resource_id="727">
                            C8226 <!-- Tray 3 -->
                            <constraint>tray1_constraint</constraint>
                            <constraint>OPS_Tray3_Set</constraint>
                            <constraint>OPS_Tray1_Remove</constraint>
                        </option>
                        <option resource_id="728">
                            C8227 <!-- Tray 1 -->
                            <constraint>tray3_constraint</constraint>
                            <constraint>OPS_Tray1_Set</constraint>
                            <constraint>OPS_Tray3_Remove</constraint>
                        </option>
                        <option resource_id="729">
                            C8226_C8227 <!-- Tray 3 and Tray 1 -->
                            <constraint>OPS_Tray3_Set</constraint>
                            <constraint>OPS_Tray1_Set</constraint>
                         </option>
                    </feature>
                    <!-- Tray1 -->
                    <feature editable="FALSE">
                        Tray1
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <feature editable="FALSE">
                        Tray3
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                </physical>
                <!-- Printing Features -->
                <printing resource_id="17">
                      <!-- PageOrder -->
                    <feature resource_id="1130" caption_id="10015" Typical="TRUE">
                        PageOrder
                        <current_option>FrontToBack</current_option>
                        <option resource_id="1135">
                            FrontToBack
                        </option>
                        <option resource_id="1136">
                            BackToFront
                        </option>
                    </feature>
                    
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021" typical="FALSE">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                            <!--<constraint>NUpChoice_OneUp_Constraint</constraint> -->
                        </option>
                        <option resource_id="1102">
                            TwoUp
                            <!-- NUpPageOrderChoice -->
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                       <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                       <!--<constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                    <!-- <constraint>PageOrder_Forbids_OnePage </constraint> -->
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- FitToOtherSizeChoice -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9">
                            PrintActualSize
                         </option>
                        <option resource_id="10">
                            FitToOtherSize
                           <constraint> FitToOtherSizeChoice_NUpChoice</constraint>
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>
                                <option resource_id="209">
                                        LETTER
                                </option>
                                <option resource_id="213">
                                        LEGAL
                                </option>
                                <option resource_id="215">
                                        EXECUTIVE
                                </option>
                                <option resource_id="217">
                                        A4
                                </option>
                                <option resource_id="202">
                                        B5
                                        <constraint>tray3_constraint</constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>    
                                <option resource_id="221">
                                        B5_JIS
                                </option>
                                <!--<option resource_id="327">
                                        EXECUTIVE_JIS
                                </option>-->
                                <option resource_id="228">
                                        ENV_10
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint  </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>
                                <option resource_id="245">
                                        ENV_MONARCH
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>
                                <option resource_id="235">
                                        ENV_DL
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>
                                <option resource_id="236">
                                        ENV_C5
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>
                                <!--<option resource_id="332">
                                        JAPANESE_POSTCARD
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>-->
                                <!--<option resource_id="286">
                                        DBL_JAPANESE_POSTCARD_ROTATED
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option> -->
                                <option resource_id="333">
                                        A6_CARD
                                        <constraint> tray2_constraint </constraint>
                                        <constraint> tray3_constraint </constraint>
                                        <constraint> papersize_duplex </constraint>
                                </option>
                              </feature>
                           </option>
                      </feature>  
                    <!-- ScalePageChoice -->
                    <feature resource_id="1183" caption_id="10026">
                          ScalePageChoice
                          <current_option>ScaleToFit</current_option>
                          <option resource_id="10">
                                ScaleToFit
                               <constraint>ScalePageChoice_ScaleToFit</constraint>   
                           </option>
                           <option resource_id="9">
                                 FitWithoutScaling
                           </option>
                       </feature>
                     <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Duplex_DuplexUnit</constraint> 
                            <constraint>Duplex_constraint </constraint>                           
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                            <constraint>Duplex_OFF_BookletPrintingChoice</constraint>
                         </option>
                    </feature>
                    <!-- Orientation -->
                    <feature resource_id="850" caption_id="10013" typical="FALSE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                            <!--<constraint> Portrait_Forbids_LongEdge</constraint> --> 
                        </option>
                        <option resource_id="852">
                            Landscape
                            <!--<constraint> Landscape_Forbids_ShortEdge</constraint> -->
                        </option>
                    </feature>  
                    <!-- TextAsBlack-->
                    <feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- Print in Grayscale -->
                    <feature resource_id="836" typical="true" caption_id="10056" lock="FALSE">
                        PrintColorAsGray
                        <current_option>FALSE</current_option>
                        <num_options>2</num_options>
                        <option resource_id="5">
                            FALSE
                        </option>
                        <option resource_id="6">
                            TRUE
                        </option>
                    </feature>
                    <!-- PaperSize-->
                    <feature resource_id="200" typical="true" caption_id="10012">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <num_options>15</num_options>
                        <option resource_id="209">
                            LETTER
                        </option>
                        <option resource_id="213">
                            LEGAL
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                        </option>
                        <option resource_id="217">
                            A4
                        </option>
                        <option resource_id="202">
                            B5
                            <constraint>tray3_constraint</constraint>
                            <constraint>papersize_duplex</constraint>
                        </option>    
                        <option resource_id="221">
                            B5_JIS
                        </option>
                        <!--<option resource_id="327">
                            EXECUTIVE_JIS
                        </option>-->
                        <option resource_id="228">
                            ENV_10
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint  </constraint>
                            <constraint>papersize_duplex   </constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint </constraint>
                            <constraint>papersize_duplex   </constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint </constraint>
                            <constraint> papersize_duplex </constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint </constraint>
                            <constraint> papersize_duplex </constraint>
                        </option>
                        <!--<option resource_id="332">
                            JAPANESE_POSTCARD
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint </constraint>
                            <constraint> papersize_duplex </constraint>
                        </option>-->
                        <!--<option resource_id="286">
                            DBL_JAPANESE_POSTCARD_ROTATED
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint </constraint>
                            <constraint> papersize_duplex </constraint>
                        </option> -->
                        <option resource_id="333">
                            A6_CARD
                            <constraint> tray2_constraint </constraint>
                            <constraint> tray3_constraint </constraint>
                            <constraint> papersize_duplex </constraint>
                        </option>
                    </feature>
                              <!-- Print Quality-->
                    <feature resource_id="550" editable="FALSE">
                            PrintQuality_Dummy
                       <current_option>NORMAL_OK</current_option>
                       <option>
                               NORMAL_OK 
                       </option>
                       <option>
                                NORMAL_NO
                       </option>
                    </feature>                   
                    <!-- Print Quality-->
                    <feature resource_id="760" typical="true" caption_id="10019">
                            PrintQuality
                       <current_option>Normal</current_option>
                       <option resource_id="768">
                                Best
                        </option>
                        <option resource_id="769">    
                                Normal
                                <constraint>PQ_Dummy_Normal</constraint>
                        </option>  
                        <option resource_id="770">
                                Fast
                                <constraint>media_fast_constraint</constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" typical="true" caption_id="10017" lock="FALSE">
                        MediaType
                        <current_option>PLAIN</current_option>
                        <num_options>12</num_options>
                         <option resource_id="571">
                            PLAIN
                <constraint>PQ_Dummy_Normal_OK</constraint>
                <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="577">
                            HP_PREM_INKJET_PAPER
                            <constraint> papersize_duplex </constraint>
                <constraint>PQ_Dummy_Normal_OK</constraint>
                <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="578">
                            HP_PREM_INKJET_HEAVY_WEIGHT_PAPER
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="642">
                            HP_PHOTO_QUALITY_PAPER_SEMI_GLOSS 
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="643">
                            HP_PHOTO_QUALITY_PAPER_MATTE
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                         <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                         <option resource_id="579">
                            HP_PREM_TRANSPARENCY
                            <constraint> papersize_duplex </constraint>
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="594">
                            HP_PREM_PLUS_TRANSPARENCY
                            <constraint> papersize_duplex </constraint>
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint> 
                        </option>
                       <option resource_id="640">
                            HP_PHOTO_PAPER_GLOSSY
                            <constraint> papersize_duplex </constraint>
                            <constraint>PQ_Dummy_Normal_No</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="641">
                            HP_PREMIUM_PHOTO_PAPER_GLOSSY
                            <constraint> papersize_duplex </constraint>
                            <constraint>PQ_Dummy_Normal_No</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="598">
                            HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY
                            <constraint> papersize_duplex </constraint>
                             <constraint>PQ_Dummy_Normal_No</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                         </option>
                        <option resource_id="599">
                             HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE
                             <constraint> papersize_duplex </constraint>
                              <constraint>PQ_Dummy_Normal_No</constraint>
                             <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="644">
                             HP_COLORFAST_PHOTO_PAPER_GLOSSY
                            <constraint> papersize_duplex </constraint>
                             <constraint>PQ_Dummy_Normal_No</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                         </option>
                        <option resource_id="582">
                            HP_PROFESSIONAL_BROCHURE_GLOSSY
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="583">
                            HP_PROFESSIONAL_BROCHURE_MATTE
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="645">
                             HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS
                             <constraint>PQ_Dummy_Normal_OK</constraint>
                             <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="646">
                            HP_EVERYDAY_PHOTO_PAPER_MATTE
                            <constraint>PQ_Dummy_Normal_OK</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                   </feature>
                    <!-- InputBin -->
                    <feature resource_id="432" typical="true" caption_id="10018" lock="FALSE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <num_options>4</num_options>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
                        <option resource_id="416">
                            ManualFeed
                        </option>                        
                        <option resource_id="408">
                            Tray1
                            <constraint> InputBin_Tray1</constraint>
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint> paper_tray2_constraint </constraint>
                        </option>
                        <option resource_id="410">
                            Tray3
                            <constraint> paper_tray3_constraint  </constraint>
                            <constraint> InputBin_Tray3 </constraint>
                        </option>
                    </feature>
                </printing>
                <custom>
                </custom>
                <constraints>
                    <constraint>
                        tray2_constraint
                        <forbids>
                            <item>printing/Inputbin == Tray2</item>
                        </forbids>
                    </constraint>
                    <constraint>
                          tray3_constraint
                          <forbids>
                             <item>printing/Inputbin ==Tray3 </item>
                          </forbids>
                     </constraint>     
                     <constraint>
                           tray1_constraint
                           <forbids>
                              <item>printing/InputBin == Tray1</item>
                           </forbids>
                     </constraint>
                    <constraint>
                         media_fast_constraint
                         <requires>
                             <item> printing/mediatype != HP_PREM_INKJET_PAPER </item>
                             <item> printing/mediatype != HP_PREM_INKJET_HEAVY_WEIGHT_PAPER </item>
                             <item> printing/mediatype != HP_PREMIUM_PHOTO_PAPER_GLOSSY </item>
                             <item> printing/mediatype != HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY </item>
                             <item> printing/mediatype != HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE </item>
                             <item> printing/mediatype != HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                             <item> printing/mediatype != HP_PROFESSIONAL_BROCHURE_GLOSSY</item>
                             <item> printing/mediatype != HP_PROFESSIONAL_BROCHURE_MATTE</item>
                             <item> printing/mediatype != HP_PHOTO_QUALITY_PAPER_SEMI_GLOSS </item>
                             <item> printing/mediatype != HP_PHOTO_QUALITY_PAPER_MATTE</item>
                             <item> printing/mediatype != HP_PHOTO_PAPER_GLOSSY</item>
                             <item> printing/mediatype !=  HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                             <item> printing/mediatype != HP_EVERYDAY_PHOTO_PAPER_MATTE </item>
                           </requires>
                    </constraint>
                    <constraint>
                        media_tray2_constraint
                        <requires>
                            <item>printing/mediatype == PLAIN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        fast_constraint
                        <forbids>
                            <item> printing/printquality == Fast </item>
                        </forbids>      
                    </constraint>
                        <constraint>
                        Normal_constraint
                        <forbids>
                            <item> printing/printquality == Normal </item>
                        </forbids>      
                    </constraint>
                    <constraint>
                        paper_tray2_constraint
                        <forbids>
                            <item>printing/papersize == ENV_10</item>
                            <item>printing/papersize == ENV_MONARCH</item>
                            <item>printing/papersize == ENV_DL</item>
                            <item>printing/papersize == ENV_C5</item>
                            <!--<item>printing/papersize == DBL_JAPANESE POSTCARD_ROTATED</item>-->
                            <!--<item>printing/papersize == JAPANESE_POSTCARD</item>-->
                            <item>printing/papersize == A6_CARD</item>
                            <item>printing/TargetSizeChoice == ENV_10</item>
                            <item>printing/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/TargetSizeChoice == ENV_DL</item>
                            <item>printing/TargetSizeChoice == ENV_C5</item>
                            <!--<item>printing/TargetSizeChoice == DBL_JAPANESE POSTCARD_ROTATED</item>-->
                            <!--<item>printing/TargetSizeChoice == JAPANESE_POSTCARD</item>-->
                            <item>printing/TargetSizeChoice == A6_CARD</item>
                        </forbids>
                    </constraint>
                    <constraint>
                         paper_tray3_constraint
                         <forbids>
                            <item>printing/papersize == B5</item>
                            <item>printing/papersize == ENV_10</item>
                            <item>printing/papersize == ENV_MONARCH</item>
                            <item>printing/papersize == ENV_DL</item>
                            <item>printing/papersize == ENV_C5</item>
                            <!--<item>printing/papersize == DBL_JAPANESE POSTCARD_ROTATED</item>-->
                            <!--<item>printing/papersize == JAPANESE_POSTCARD</item>-->
                            <item>printing/papersize == A6_CARD</item>
                            <item>printing/TargetSizeChoice == B5</item>
                            <item>printing/TargetSizeChoice == ENV_10</item>
                            <item>printing/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/TargetSizeChoice == ENV_DL</item>
                            <item>printing/TargetSizeChoice == ENV_C5</item>
                            <!--<item>printing/TargetSizeChoice == DBL_JAPANESE POSTCARD_ROTATED</item>-->
                            <!--<item>printing/TargetSizeChoice == JAPANESE_POSTCARD</item>-->
                            <item>printing/TargetSizeChoice == A6_CARD</item>
                        </forbids>
                    </constraint>
                    <constraint>
                          LongEdge_Forbids_Portrait
                          <forbids>
                              <item>printing/Orientation == Portrait</item>
                          </forbids>
                    </constraint>
                    <constraint>
                          ShortEdge_Forbids_Landscape
                          <forbids>
                              <item>printing/Orientation == Landscape</item>
                          </forbids>
                    </constraint>
                    <constraint>
                           Portrait_Forbids_LongEdge
                           <forbids>
                                <item>printing/DuplexEdge == LongEdge </item>
                           </forbids>     
                    </constraint>
                    <constraint>
                            Landscape_Forbids_ShortEdge
                            <forbids>
                                  <item>printing/DuplexEdge == ShortEdge </item> 
                            </forbids>
                    </constraint>
                    <constraint>
                              PageOrder_Forbids_OnePage
                              <forbids>
                                    <item>printing/NUpChoice == OneUp</item>
                              </forbids>
                    </constraint>
                    <constraint>
                             NUpChoice_OneUp_Constraint
                             <requires>
                                   <item>printing/NUpPageOrderChoice == RightThenDown </item> 
                                   <item>printing/NUpBordersChoice == NoBorders </item>
                             </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <!-- JobRetention Hardware Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                          Hardware_Disabled_JobRetention
                          <forbids>
                               <item>physical/JobRetention == Enabled </item>
                          </forbids>     
                    </constraint>
                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                         papersize_duplex
                         <requires>
                             <item>printing/Duplex == FALSE </item>
                         </requires>  
                    </constraint>
                    <constraint>
                         Duplex_constraint
                         <forbids>
                            <!--<item>printing/papersize == B5</item>-->
                            <item>printing/papersize == ENV_10</item>
                            <item>printing/papersize == ENV_MONARCH</item>
                            <item>printing/papersize == ENV_DL</item>
                            <item>printing/papersize == ENV_C5</item>
                            <!--<item>printing/papersize == DBL_JAPANESE_POSTCARD_ROTATED</item>-->
                            <!--<item>printing/papersize == JAPANESE_POSTCARD</item>-->
                            <item>printing/papersize == A6_CARD</item>
                            <item> printing/mediatype == HP_PREM_INKJET_PAPER </item>
                            <item> printing/mediatype == HP_PREM_PLUS_TRANSPARENCY </item>
                            <item> printing/mediatype == HP_PREM_TRANSPARENCY </item>
                            <item> printing/mediatype == HP_PREM_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY</item>
                            <item> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE</item>
                            <item> printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <item> printing/mediatype == HP_PHOTO_PAPER_GLOSSY</item>
                            <!--<item>printing/TargetSizeChoice == B5</item>-->
                            <item>printing/TargetSizeChoice == ENV_10</item>
                            <item>printing/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/TargetSizeChoice == ENV_DL</item>
                            <item>printing/TargetSizeChoice == ENV_C5</item>
                            <!--<item>printing/TargetSizeChoice == DBL_JAPANESE POSTCARD_ROTATED</item>-->
                            <!--<item>printing/TargetSizeChoice == JAPANESE_POSTCARD</item>-->
                            <item>printing/TargetSizeChoice == A6_CARD</item>
                         </forbids>
                    </constraint>
                    <constraint>
                           Tray3_InputBin
                          <forbids>
                               <item> printing/InputBin == Tray3 </item>
                          </forbids>
                    </constraint>
                    <constraint>
                           Tray1_InputBin
                           <forbids>
                                <item> printing/InputBin == Tray1 </item>
                           </forbids> 
                    </constraint>
                    <constraint>
                           InputBin_Tray3
                           <forbids>
                                <item> physical/Tray3 == NotInstalled </item>
                           </forbids>
                    </constraint> 
                     <constraint>
                           InputBin_Tray1
                           <forbids>
                                <item> physical/Tray1 == NotInstalled </item>
                           </forbids>
                    </constraint> 
                    <constraint onexportonly="TRUE">
                        OPS_Tray3_Remove
                        <requires>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray1_Remove
                        <requires>
                            <item force="TRUE">physical/Tray1 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray3_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray1_Set
                        <requires>
                            <item force="TRUE">physical/Tray1 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_NORMAL_PQ
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Normal</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_BEST_PQ
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Best</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_FAST_PQ
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Fast</item>
                        </requires>
                    </constraint>
                       <constraint>
                          NUpChoice_FitToOtherSizeChoice
                          <requires>
                               <item>printing/FitToOtherSizeChoice==PrintActualSize</item>
                          </requires>
                    </constraint>
                    <constraint>
                           FitToOtherSizeChoice_NUpChoice
                           <requires>
                                 <item>printing/NUpChoice==OneUp </item>
                           </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                              Bundle_Memory_Default
                            <requires>
                                 <item force="TRUE">physical/Memory == 64</item>
                            </requires>
                    </constraint>       
                    <constraint onexportonly="TRUE">
                           Bundle_DuplexUnit_Default
                           <requires>
                              <item force ="TRUE">physical/DuplexUnit==NotInstalled</item>
                           </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                            Bundle_DuplexUnit_SetInstalled
                            <requires>
                               <item force="TRUE">physical/DuplexUnit==Installed</item>
                            </requires>
                     </constraint>         
                     <constraint onexportonly="TRUE">
                            Bundle_Tray_Default
                            <requires>
                               <item force="TRUE">physical/OptionalPaperSources==None</item>
                            </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                            Bundle_Tray3_Installed
                            <requires>
                               <item force="TRUE">physical/OptionalPaperSources==C8226</item>
                            </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Normal_No
                              <requires>
                                  <item force="TRUE">printing/PrintQuality_Dummy == NORMAL_NO</item>
                              </requires>
                     </constraint>
                     <constraint onexportonly="TRUE">
                              PQ_Dummy_Normal_OK
                              <requires>
                                   <item force="TRUE">printing/PrintQuality_Dummy == NORMAL_OK</item>
                              </requires>
                     </constraint>
                          <constraint>
                              PQ_Dummy_Normal
                              <requires>
                                  <item>printing/PrintQuality_Dummy == NORMAL_OK</item>  
                              </requires>
                              <requires>
                                   <item>printing/MediaType != HP_PHOTO_PAPER_GLOSSY</item>
                                   <item>printing/MediaType != HP_PREMIUM_PHOTO_PAPER_GLOSSY</item>
                                   <item>printing/MediaType != HP_PREMIUM_PLUS_PHOTO_PAPER_GLOSSY</item>
                                   <item>printing/MediaType != HP_PREMIUM_PLUS_PHOTO_PAPER_MATTE </item>
                                   <item>printing/MediaType != HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                              </requires>
                      </constraint>
                 </constraints>
            </factory>
        </component>
    </software>
</device>
